*System Options;
options mprint linesize=150 pagesize=50 compress=yes symbolgen ERRORS=0;


/* Folder containing input data files and MSCDM data*/
libname indata 'A:\Tools\ms_deidentify\ms_deidentify\prod\example\indata\';	

	

/* Folder containing final datasets to be kept at the partner site(DPLocal)*/
libname outdata 'A:\Tools\ms_deidentify\ms_deidentify\prod\example\outdata\';	



/* Path containing the "ms_deidentify.sas" macro code */
%include "A:\Tools\ms_deidentify\ms_deidentify\prod\ms_deidentify.sas";




/* Macro Call */


/* Example - De-identification */

%MS_deidentify(  INFILE= indata.ms_deidentify,       /*Name of the dataset containing variables to be masked*/
                 VARLIST= patid ndc,               /*Name(s) of variable(s) that requirement replacement with a randomly-generated caseid*/
                 OUTFILE=  outdata.ms_deidentify,  /*Name of the output dataset*/
                 XWALKLIB= outdata) ;              /*Libname (directory) to which crosswalk files will be saved*/




